#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xaa0d2c4d, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x88476eef, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x785431bc, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xd91b3f58, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x5d998708, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x305dc6d9, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xe22c08b6, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x5ef351fa, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x51e57358, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xf7506b57, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xc6933db6, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xc58a8d94, "_gpl");
SYMBOL_CRC(dm_get_md, 0x55c0041d, "_gpl");
SYMBOL_CRC(dm_hold, 0x4b171486, "_gpl");
SYMBOL_CRC(dm_device_name, 0x35d7dd26, "_gpl");
SYMBOL_CRC(dm_put, 0x8cb505ae, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xfe60c909, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xec6f336a, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xabc64082, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x9d243121, "_gpl");
SYMBOL_CRC(dm_disk, 0xfb341d0e, "_gpl");
SYMBOL_CRC(dm_suspended, 0x999367a7, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x2a98657c, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xfee31e96, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x7e2da8bc, "");
SYMBOL_CRC(dm_put_device, 0x0a3d6a82, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x7723f426, "_gpl");
SYMBOL_CRC(dm_table_event, 0x50a8c486, "");
SYMBOL_CRC(dm_table_get_size, 0xacc467ef, "");
SYMBOL_CRC(dm_table_get_mode, 0x47f19e56, "");
SYMBOL_CRC(dm_table_get_md, 0x915c6176, "");
SYMBOL_CRC(dm_table_device_name, 0xb842ffdb, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x402ca5b4, "");
SYMBOL_CRC(dm_register_target, 0x5ef4c1a9, "");
SYMBOL_CRC(dm_unregister_target, 0x7df5c4e4, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x2ef1da19, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xf8920821, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x5acadfb3, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xcb98e51a, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x1f0e8111, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c05b345, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x4af2bbe1, "set_disk_ro" },
	{ 0x11a0cfdd, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf9ce4cd6, "try_module_get" },
	{ 0xc0bfb9d4, "VMALLOC_END" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xe881a52a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7847d47e, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x60ddb3d9, "param_ops_uint" },
	{ 0xc8d66ff7, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc08729fe, "bio_split_to_limits" },
	{ 0xfabba676, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x9d0afe96, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x7af92381, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x6cb08786, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1bca2062, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x5786d3ef, "dm_kobject_release" },
	{ 0xd566933c, "up" },
	{ 0x59a502ba, "blk_rq_prep_clone" },
	{ 0x48d3454b, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x93030563, "blk_mq_quiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x85da6715, "__traceiter_block_bio_remap" },
	{ 0x6c344e2f, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5b75d4cc, "blk_rq_unprep_clone" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x48fc7694, "synchronize_srcu" },
	{ 0x8b56806c, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfb6e1878, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x289246e3, "alloc_dax" },
	{ 0xa9f39296, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x7a9b6cc2, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x60b170c6, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x21d1ffa9, "__traceiter_block_split" },
	{ 0x28790c1d, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb352a5, "put_disk" },
	{ 0xebbf1dba, "strncasecmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xd1633405, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x5f8e299a, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x22da7049, "__tracepoint_block_split" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x75deea07, "__free_pages" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x892e7eed, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5133fe07, "submit_bio" },
	{ 0xfab7aad4, "dax_add_host" },
	{ 0xf176820e, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf997f0, "blk_mq_init_allocated_queue" },
	{ 0xb3d3a95c, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xc53cd7e4, "ima_measure_critical_data" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x18134d49, "kobject_uevent_env" },
	{ 0x35ef3187, "bio_put" },
	{ 0x8c29ebe0, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xb5dd99e4, "init_srcu_struct" },
	{ 0x1e5ad895, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x50bc2ac2, "blk_revalidate_disk_zones" },
	{ 0xd2510a63, "up_write" },
	{ 0xafff07d9, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x417d8076, "dax_zero_page_range" },
	{ 0xbb9053cc, "__srcu_read_lock" },
	{ 0x2dc0ee05, "set_capacity" },
	{ 0x7d43ed77, "submit_bio_noacct" },
	{ 0xbb3808f4, "noop_llseek" },
	{ 0x81b433f2, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x800f4edd, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5d4e79c5, "dax_remove_host" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1cd69c98, "bio_chain" },
	{ 0x6ce9cd36, "dax_recovery_write" },
	{ 0xa9ba3aa8, "bdev_freeze" },
	{ 0xf6c3e4aa, "wait_for_completion_io" },
	{ 0xd135a1e4, "blk_stack_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c08ff10, "kobject_init_and_add" },
	{ 0x1ce26587, "zero_fill_bio_iter" },
	{ 0x1344ce78, "bio_add_page" },
	{ 0x7eb35891, "crypto_shash_update" },
	{ 0xf2902b23, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4648da67, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xbdd74ae6, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe805116, "bdev_file_open_by_dev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x53f51349, "bd_unlink_disk_holder" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xad47d95e, "bio_init" },
	{ 0xdfb9c97a, "bio_alloc_clone" },
	{ 0xbcc70e70, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xddb40bb1, "misc_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa13cc2a5, "blk_insert_cloned_request" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0x103bafd6, "down_read" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x27fe36c0, "audit_log_start" },
	{ 0xc9f5db55, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaa41968, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xa22018f, "bio_uninit" },
	{ 0xff424b7c, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x14af55f9, "param_ops_bool" },
	{ 0x26be2da6, "bioset_init" },
	{ 0x265f0fa2, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x1a08d2ba, "VMALLOC_START" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc6ffb2b1, "__traceiter_block_rq_remap" },
	{ 0xb15f6389, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0x8bc2b2f2, "__tracepoint_block_rq_remap" },
	{ 0x38dd9d47, "bd_link_disk_holder" },
	{ 0x77167f7f, "blk_mq_start_request" },
	{ 0x96b01697, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7242d92, "put_dax" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x51820153, "file_bdev" },
	{ 0x3f3efb03, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8401072f, "blk_mark_disk_dead" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7fb7c0e8, "blk_zone_plug_bio" },
	{ 0xa1fced0d, "param_ops_int" },
	{ 0x24ea3700, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x21c28d1f, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x8a132c69, "queue_limits_set" },
	{ 0xb798e026, "bio_alloc_bioset" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0x67d2e355, "blk_mq_requeue_request" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf9a482f9, "msleep" },
	{ 0x75093d12, "blkdev_report_zones" },
	{ 0xff381ab1, "bdev_end_io_acct" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf11597ab, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E4AF0438AF33E8B23A6EC");
MODULE_INFO(rhelversion, "9.99");
