#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xc3e29c52, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x763ecdb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x2b0aa4ce, "file_f_owner_allocate" },
	{ 0xae3ba3a1, "fasync_helper" },
	{ 0x844092a9, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3db0f09, "netdev_info" },
	{ 0x963addae, "netif_carrier_on" },
	{ 0x7d87627b, "netif_carrier_off" },
	{ 0x4ddac4b8, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdde7ef12, "from_kuid_munged" },
	{ 0xff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x77363616, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xac935379, "__skb_get_hash_symmetric_net" },
	{ 0xfc530342, "netif_tx_stop_all_queues" },
	{ 0xbfaf2c33, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9ac9873, "rtnl_link_register" },
	{ 0xddb40bb1, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe881a52a, "misc_deregister" },
	{ 0x4134c86e, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x840f8c5, "xdp_return_frame" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x9c9a7331, "kill_fasync" },
	{ 0xc615771e, "bpf_prog_put" },
	{ 0x4dc2596e, "sk_alloc" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x63d1cba1, "sock_init_data_uid" },
	{ 0xc959e452, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf4df94c2, "skb_queue_purge_reason" },
	{ 0x7480fa61, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdabd2232, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc47a2cd6, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf176820e, "module_put" },
	{ 0x5743e46a, "skb_copy_datagram_iter" },
	{ 0x60bd348d, "_copy_to_iter" },
	{ 0x60e88c3f, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3ae148c7, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8825e2e6, "build_skb" },
	{ 0x1afabd84, "skb_put" },
	{ 0x363c75d9, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4da2ccc1, "netdev_core_stats_inc" },
	{ 0xdede55b7, "security_tun_dev_attach" },
	{ 0x127e762a, "xdp_rxq_info_is_reg" },
	{ 0xd3b57e75, "netif_set_real_num_tx_queues" },
	{ 0x66432cd0, "netif_set_real_num_rx_queues" },
	{ 0x59bc8370, "lock_sock_nested" },
	{ 0x8f9344b2, "sk_attach_filter" },
	{ 0x9c1e3bd5, "release_sock" },
	{ 0x41ddee3f, "__xdp_rxq_info_reg" },
	{ 0xbcbc8816, "xdp_rxq_info_reg_mem_model" },
	{ 0x67a3f5d7, "napi_enable" },
	{ 0x1012d94e, "netif_napi_add_weight" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a7b8eb7, "__dev_get_by_name" },
	{ 0xbb805c5a, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x91721664, "netdev_state_change" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x8da5c4d5, "alloc_netdev_mqs" },
	{ 0xebc22a63, "ip_tunnel_header_ops" },
	{ 0xaca87eb9, "register_netdevice" },
	{ 0xaf0e8a3, "netif_tx_wake_queue" },
	{ 0x63504381, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6971acb, "dev_addr_mod" },
	{ 0x71b6da0a, "free_netdev" },
	{ 0x3d268c3d, "napi_gro_receive" },
	{ 0x1d4bef29, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x5ce63c2, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x4c6c9afa, "__skb_flow_dissect" },
	{ 0x650e2312, "skb_partial_csum_set" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce9031f, "sk_filter_trim_cap" },
	{ 0x643f361d, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x67a2f934, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x41b4d65f, "skb_tstamp_tx" },
	{ 0x1ccec06d, "skb_copy_ubufs" },
	{ 0xe79bff7c, "___pskb_trim" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x213e347b, "seq_printf" },
	{ 0x5f76d7a1, "xdp_do_redirect" },
	{ 0x84e486ee, "bpf_warn_invalid_xdp_action" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xceafb137, "__traceiter_xdp_exception" },
	{ 0xd7373520, "xdp_return_frame_rx_napi" },
	{ 0xda19aa6b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x245fac91, "napi_get_frags" },
	{ 0x70ccf811, "iov_iter_single_seg_count" },
	{ 0xe4479a64, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7c47282d, "bpf_prog_get_type_dev" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xad3b9645, "skb_page_frag_refill" },
	{ 0xc724e4de, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x4c36f085, "xdp_master_redirect" },
	{ 0x5b11b65f, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x749343ba, "unregister_netdevice_queue" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x3b529507, "net_hotdata" },
	{ 0xe2cdb975, "sock_recv_errqueue" },
	{ 0x749b8a77, "eth_type_trans" },
	{ 0xf4857d16, "do_xdp_generic" },
	{ 0x508f4772, "netif_receive_skb" },
	{ 0xd7326b6e, "__page_frag_cache_drain" },
	{ 0x9ef28a9c, "_copy_from_iter" },
	{ 0x9dfead2f, "iov_iter_npages" },
	{ 0x674051c3, "sock_alloc_send_pskb" },
	{ 0x5bdd9c6d, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x68ab5602, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xa2998f24, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x46996e9, "iov_iter_revert" },
	{ 0x4fe743aa, "skb_push" },
	{ 0xdaeaec30, "eth_get_headlen" },
	{ 0xa3612411, "napi_gro_frags" },
	{ 0xbfb101, "__napi_schedule" },
	{ 0x73b3c38e, "get_net_ns" },
	{ 0x1b24c538, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xe02e2f0, "make_kgid" },
	{ 0xed872a7b, "sk_detach_filter" },
	{ 0xe32af7cd, "make_kuid" },
	{ 0xb30a53d9, "init_user_ns" },
	{ 0xbc15a283, "from_kuid" },
	{ 0xeb5388, "dev_get_mac_address" },
	{ 0x59994f9a, "dev_set_mac_address_user" },
	{ 0xa0fe7cd2, "netdev_update_features" },
	{ 0xfcd1c928, "call_netdevice_notifiers" },
	{ 0x7e4d5736, "__module_get" },
	{ 0x4ec345eb, "from_kgid" },
	{ 0xe61a4b77, "ethtool_op_get_link" },
	{ 0x687e615f, "ethtool_op_get_ts_info" },
	{ 0x73178961, "passthru_features_check" },
	{ 0x600469a7, "eth_mac_addr" },
	{ 0xe8c58601, "eth_validate_addr" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B305923BE9193E42C3F9D96");
MODULE_INFO(rhelversion, "9.99");
