#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x2cc1a8c7, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x18f3cc67, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe41e9bfe, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x6f6d8dad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x51fd9942, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x60cfcb68, "skb_copy_bits" },
	{ 0x2bc0284a, "__nlmsg_put" },
	{ 0x9f587e62, "netdev_adjacent_change_commit" },
	{ 0x600469a7, "eth_mac_addr" },
	{ 0x1afabd84, "skb_put" },
	{ 0x693a1412, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4afb4a6b, "ip6_dst_hoplimit" },
	{ 0xf65b8c65, "param_ops_ushort" },
	{ 0x5ce63c2, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x1a025ded, "udp_sock_create4" },
	{ 0x143f97e0, "udp_tunnel6_xmit_skb" },
	{ 0xd9ac9873, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x358cd372, "__unregister_nexthop_notifier" },
	{ 0xa381e07a, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8c58601, "eth_validate_addr" },
	{ 0xe81f475e, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3c8231f, "rtnl_create_link" },
	{ 0x749343ba, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xbda5ab98, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x63504381, "ether_setup" },
	{ 0x9b818bce, "udp_tunnel_drop_rx_port" },
	{ 0xa2a62e59, "netdev_upper_dev_link" },
	{ 0xe4479a64, "pskb_expand_head" },
	{ 0xdd5441cf, "register_pernet_subsys" },
	{ 0x6971acb, "dev_addr_mod" },
	{ 0x749b8a77, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x9c128568, "__alloc_skb" },
	{ 0xc851e6b4, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc7d6884, "eth_gro_complete" },
	{ 0x4b313a89, "rtnl_set_sk_err" },
	{ 0xa1e4da4e, "eth_gro_receive" },
	{ 0x483e6a3e, "rtnl_configure_link" },
	{ 0x21586803, "skb_tunnel_check_pmtu" },
	{ 0xa1047066, "udp_tunnel_dst_lookup" },
	{ 0xf804a15b, "rtnl_unicast" },
	{ 0x947fbc52, "peernet2id" },
	{ 0x2fd31225, "__skb_get_hash_net" },
	{ 0x9f9e8394, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xf03d2dd9, "__dev_get_by_index" },
	{ 0x4134c86e, "rtnl_link_unregister" },
	{ 0x110cc1ab, "ipv6_stub" },
	{ 0xac7e4ec, "skb_pull" },
	{ 0xce9d9805, "gro_find_complete_by_type" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x13d114b4, "dev_get_by_index_rcu" },
	{ 0x8180ec59, "gro_cells_receive" },
	{ 0x4fe743aa, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc121d7f7, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x7db074ad, "__rtnl_register_many" },
	{ 0x71b6da0a, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x92a6d2d4, "ip_mc_join_group" },
	{ 0x5531480b, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x59bc8370, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe61a4b77, "ethtool_op_get_link" },
	{ 0x9786941c, "nexthop_find_by_id" },
	{ 0xad71f9d2, "arp_create" },
	{ 0xe2bfd7e7, "__ethtool_get_link_ksettings" },
	{ 0xb52bcf4c, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc7f22245, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8253a91b, "netdev_adjacent_change_abort" },
	{ 0xbfeb5172, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2fda9e46, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4cf7eecd, "__iptunnel_pull_header" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xca8795f5, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xcd06e972, "setup_udp_tunnel_sock" },
	{ 0x6e03abe7, "udp_sock_create6" },
	{ 0x79cf7b14, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5a0e6289, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x59501bf8, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x9d3a116a, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb0377bb3, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb758494e, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14af55f9, "param_ops_bool" },
	{ 0x4e9e07cd, "udp_tun_rx_dst" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x8d1467b4, "rtnl_notify" },
	{ 0x5b100096, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9f8550d1, "__netif_rx" },
	{ 0xb82cd069, "skb_clone" },
	{ 0x3939a720, "metadata_dst_alloc" },
	{ 0xb8bf79b, "dst_release" },
	{ 0xa957c1a2, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x950c155, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x19f31191, "register_nexthop_notifier" },
	{ 0x32f25e1, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x94471e4f, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xd5b08ac4, "gro_find_receive_by_type" },
	{ 0x4da2ccc1, "netdev_core_stats_inc" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x3db0f09, "netdev_info" },
	{ 0xda7f0f16, "neigh_lookup" },
	{ 0x9c1e3bd5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xaca87eb9, "register_netdevice" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A7A6158BC224CA6D53E317F");
MODULE_INFO(rhelversion, "9.99");
