#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(tape_core_dbf, "", "");
KSYMTAB_FUNC(tape_generic_remove, "", "");
KSYMTAB_FUNC(tape_generic_probe, "", "");
KSYMTAB_FUNC(tape_generic_online, "", "");
KSYMTAB_FUNC(tape_generic_offline, "", "");
KSYMTAB_FUNC(tape_put_device, "", "");
KSYMTAB_FUNC(tape_get_device, "", "");
KSYMTAB_DATA(tape_state_verbose, "", "");
KSYMTAB_DATA(tape_op_verbose, "", "");
KSYMTAB_FUNC(tape_state_set, "", "");
KSYMTAB_FUNC(tape_med_state_set, "", "");
KSYMTAB_FUNC(tape_alloc_request, "", "");
KSYMTAB_FUNC(tape_free_request, "", "");
KSYMTAB_FUNC(tape_dump_sense_dbf, "", "");
KSYMTAB_FUNC(tape_do_io, "", "");
KSYMTAB_FUNC(tape_do_io_async, "", "");
KSYMTAB_FUNC(tape_do_io_interruptible, "", "");
KSYMTAB_FUNC(tape_cancel_io, "", "");
KSYMTAB_FUNC(tape_mtop, "", "");
KSYMTAB_FUNC(tape_std_assign, "", "");
KSYMTAB_FUNC(tape_std_unassign, "", "");
KSYMTAB_FUNC(tape_std_display, "", "");
KSYMTAB_FUNC(tape_std_read_block_id, "", "");
KSYMTAB_FUNC(tape_std_mtload, "", "");
KSYMTAB_FUNC(tape_std_mtsetblk, "", "");
KSYMTAB_FUNC(tape_std_mtreset, "", "");
KSYMTAB_FUNC(tape_std_mtfsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsr, "", "");
KSYMTAB_FUNC(tape_std_mtbsr, "", "");
KSYMTAB_FUNC(tape_std_mtweof, "", "");
KSYMTAB_FUNC(tape_std_mtbsfm, "", "");
KSYMTAB_FUNC(tape_std_mtbsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsfm, "", "");
KSYMTAB_FUNC(tape_std_mtrew, "", "");
KSYMTAB_FUNC(tape_std_mtoffl, "", "");
KSYMTAB_FUNC(tape_std_mtnop, "", "");
KSYMTAB_FUNC(tape_std_mteom, "", "");
KSYMTAB_FUNC(tape_std_mtreten, "", "");
KSYMTAB_FUNC(tape_std_mterase, "", "");
KSYMTAB_FUNC(tape_std_mtunload, "", "");
KSYMTAB_FUNC(tape_std_mtcompression, "", "");
KSYMTAB_FUNC(tape_std_read_block, "", "");
KSYMTAB_FUNC(tape_std_read_backward, "", "");
KSYMTAB_FUNC(tape_std_write_block, "", "");
KSYMTAB_FUNC(tape_std_process_eov, "", "");

SYMBOL_CRC(tape_core_dbf, 0xc58c3312, "");
SYMBOL_CRC(tape_generic_remove, 0xcf59128f, "");
SYMBOL_CRC(tape_generic_probe, 0x014184bb, "");
SYMBOL_CRC(tape_generic_online, 0x95c7142d, "");
SYMBOL_CRC(tape_generic_offline, 0xd11c5b05, "");
SYMBOL_CRC(tape_put_device, 0xc4ab7bf7, "");
SYMBOL_CRC(tape_get_device, 0xd632621f, "");
SYMBOL_CRC(tape_state_verbose, 0x2546c415, "");
SYMBOL_CRC(tape_op_verbose, 0x66deb66c, "");
SYMBOL_CRC(tape_state_set, 0xdacd6aaa, "");
SYMBOL_CRC(tape_med_state_set, 0xd7bf898b, "");
SYMBOL_CRC(tape_alloc_request, 0x098add40, "");
SYMBOL_CRC(tape_free_request, 0xcca8df6a, "");
SYMBOL_CRC(tape_dump_sense_dbf, 0x36225fb6, "");
SYMBOL_CRC(tape_do_io, 0xea4ca864, "");
SYMBOL_CRC(tape_do_io_async, 0x184f4ace, "");
SYMBOL_CRC(tape_do_io_interruptible, 0xc67b979a, "");
SYMBOL_CRC(tape_cancel_io, 0x261a3adb, "");
SYMBOL_CRC(tape_mtop, 0x0d56c913, "");
SYMBOL_CRC(tape_std_assign, 0x17a0718e, "");
SYMBOL_CRC(tape_std_unassign, 0xa956f878, "");
SYMBOL_CRC(tape_std_display, 0xbe498306, "");
SYMBOL_CRC(tape_std_read_block_id, 0xf7612938, "");
SYMBOL_CRC(tape_std_mtload, 0xabace2c0, "");
SYMBOL_CRC(tape_std_mtsetblk, 0x44c289be, "");
SYMBOL_CRC(tape_std_mtreset, 0x6b06f61e, "");
SYMBOL_CRC(tape_std_mtfsf, 0x9cfd8ad6, "");
SYMBOL_CRC(tape_std_mtfsr, 0x653d8c57, "");
SYMBOL_CRC(tape_std_mtbsr, 0xee75bf5b, "");
SYMBOL_CRC(tape_std_mtweof, 0x5cc61c0d, "");
SYMBOL_CRC(tape_std_mtbsfm, 0xf057d4cc, "");
SYMBOL_CRC(tape_std_mtbsf, 0x17b5b9da, "");
SYMBOL_CRC(tape_std_mtfsfm, 0xf96ad0d4, "");
SYMBOL_CRC(tape_std_mtrew, 0x0769b905, "");
SYMBOL_CRC(tape_std_mtoffl, 0x7a1a213b, "");
SYMBOL_CRC(tape_std_mtnop, 0xf024d681, "");
SYMBOL_CRC(tape_std_mteom, 0xbc9fe753, "");
SYMBOL_CRC(tape_std_mtreten, 0xdd605763, "");
SYMBOL_CRC(tape_std_mterase, 0xab4630f2, "");
SYMBOL_CRC(tape_std_mtunload, 0x3359d6ab, "");
SYMBOL_CRC(tape_std_mtcompression, 0x5647c452, "");
SYMBOL_CRC(tape_std_read_block, 0x967875c7, "");
SYMBOL_CRC(tape_std_read_backward, 0xdc1071ff, "");
SYMBOL_CRC(tape_std_write_block, 0x3919621b, "");
SYMBOL_CRC(tape_std_process_eov, 0xe37c602f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9ce4cd6, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe964a8fa, "register_tape_dev" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa74bd48d, "debug_set_level" },
	{ 0xc3d9cbe8, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x26ac57cb, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf176820e, "module_put" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x18134d49, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xa770e68c, "ccw_device_get_id" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x49f64a27, "sysfs_create_group" },
	{ 0x9203ee2d, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa3e28502, "unregister_tape_dev" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2403c6b5, "ccw_device_clear" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x7be7df30, "sysfs_remove_group" },
	{ 0x4ec1f948, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x74035fe8, "remove_proc_entry" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x213e347b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x209919a3, "stream_open" },
	{ 0x6b06b17c, "ccw_device_set_options" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8a3b7d77, "debug_sprintf_view" },
	{ 0x6ee77089, "proc_create_seq_private" },
	{ 0xaea55c7b, "__debug_sprintf_exception" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9e206588, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "tape_class");


MODULE_INFO(srcversion, "38DB16B0CAEE0DAF3DE0070");
MODULE_INFO(rhelversion, "9.99");
