#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0xc33ce54d, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x6294eba7, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x8e17a47b, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x6f50eefd, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x1d63b1b3, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0xef1a3ac7, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xd004c20a, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x1f185dab, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x367fa5b3, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x2551e6f5, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xf81bbf66, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0xf1de857a, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x4a481b65, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xe6d38a18, "_gpl");
SYMBOL_CRC(qeth_poll, 0xe4c0fc3f, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0xf6765905, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x1d3ac5b3, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0xa2dc5dd2, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x43b6ebf0, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x782d8472, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x20281aae, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0xbd6ae736, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x82afa400, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x55c95357, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x6f24f807, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0xeff9b78b, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0xf2c472e8, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0xa6434130, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x5927aac8, "_gpl");
SYMBOL_CRC(qeth_open, 0xdb0783b6, "_gpl");
SYMBOL_CRC(qeth_stop, 0x7ce6defb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc64c9ddd, "ccw_device_get_cssid" },
	{ 0x837e29ff, "napi_alloc_skb" },
	{ 0x478b2c87, "alloc_etherdev_mqs" },
	{ 0x1bdfbf4f, "ccw_device_halt" },
	{ 0x222490ad, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xce1ab886, "qdio_shutdown" },
	{ 0xa3612411, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x51dd7409, "ccwgroup_set_offline" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x11de08fb, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60cfcb68, "skb_copy_bits" },
	{ 0xec2272a2, "qdio_allocate" },
	{ 0x45e67959, "qdio_inspect_output_queue" },
	{ 0x1afabd84, "skb_put" },
	{ 0x41b4d65f, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa0fe7cd2, "netdev_update_features" },
	{ 0x5ce63c2, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1012d94e, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x245fac91, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xa74bd48d, "debug_set_level" },
	{ 0xd9dd425b, "register_service_level" },
	{ 0xc3d9cbe8, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x26ac57cb, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7e09006d, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd8409dfe, "qdio_add_bufs_to_output_queue" },
	{ 0xc47a2cd6, "__netif_napi_del" },
	{ 0xdb367795, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x63504381, "ether_setup" },
	{ 0xfd5fcb53, "qdio_get_ssqd_desc" },
	{ 0xaf91fb8d, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe4479a64, "pskb_expand_head" },
	{ 0x90496d90, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x6971acb, "dev_addr_mod" },
	{ 0x749b8a77, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x1d4bef29, "napi_complete_done" },
	{ 0x8da5c4d5, "alloc_netdev_mqs" },
	{ 0x93c4f1f2, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8959f93d, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x18fbfd78, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x214091ae, "put_device" },
	{ 0xbfb101, "__napi_schedule" },
	{ 0xaa988ae, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x2dfe458f, "netif_device_detach" },
	{ 0x75deea07, "__free_pages" },
	{ 0x9727134a, "_dev_info" },
	{ 0x3d268c3d, "napi_gro_receive" },
	{ 0x5719b5e0, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xde8990c4, "ccwgroup_probe_ccwdev" },
	{ 0x4737a8ae, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x328bd9e4, "_dev_err" },
	{ 0xbea5013b, "softnet_data" },
	{ 0xa770e68c, "ccw_device_get_id" },
	{ 0x4963d5b8, "__root_device_register" },
	{ 0xbb2102ae, "ccw_device_get_ciw" },
	{ 0xd3b57e75, "netif_set_real_num_tx_queues" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0xfd497452, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfbc26ec2, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe743aa, "skb_push" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0xa3d1621e, "ccwgroup_driver_register" },
	{ 0xbbf8ee49, "debugfs_remove" },
	{ 0x67a3f5d7, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x71b6da0a, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9203ee2d, "__debug_sprintf_event" },
	{ 0xe61a4b77, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfc530342, "netif_tx_stop_all_queues" },
	{ 0xaf0e8a3, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2e54a0d8, "ccw_device_set_offline" },
	{ 0xfd8706b9, "_dev_warn" },
	{ 0xa718ada2, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xda235c58, "netif_schedule_queue" },
	{ 0x2403c6b5, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x65d4b4e2, "netdev_set_tc_queue" },
	{ 0x3ba7dd81, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0x45c4ebee, "__netdev_alloc_skb" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0x36470d97, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x37bc51b7, "debug_hex_ascii_view" },
	{ 0x4ec1f948, "debug_unregister" },
	{ 0x607f4176, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x9639ce0c, "ccwgroup_driver_unregister" },
	{ 0xb11a2500, "ccwgroup_remove_ccwdev" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90c3a3f9, "ccw_device_get_iid" },
	{ 0x560b1c11, "debug_event_common" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d87627b, "netif_carrier_off" },
	{ 0x213e347b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab147792, "ccw_device_set_online" },
	{ 0x1c055754, "netdev_set_num_tc" },
	{ 0x6e68dd6, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x4377e247, "debugfs_create_file_full" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6665a9ba, "single_release" },
	{ 0x98401d4a, "qdio_add_bufs_to_input_queue" },
	{ 0x9c51d227, "skb_add_rx_frag_netmem" },
	{ 0x68d96b79, "__napi_schedule_irqoff" },
	{ 0xa2998f24, "napi_schedule_prep" },
	{ 0x90a57e6d, "napi_consume_skb" },
	{ 0x8a3b7d77, "debug_sprintf_view" },
	{ 0x8cfdaa1, "qdio_stop_irq" },
	{ 0x7480fa61, "napi_disable" },
	{ 0x63e7f1ff, "qdio_free" },
	{ 0x7d22750b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x147aad0c, "debugfs_create_dir" },
	{ 0x9e206588, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xf93eaa07, "ccw_driver_unregister" },
	{ 0x643f361d, "skb_clone_tx_timestamp" },
	{ 0x1d0bbc34, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x687e615f, "ethtool_op_get_ts_info" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "9.99");
