#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5cdac477, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x3999faef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x17fa8170, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x356f4a42, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xfd1b5f43, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x9414aea3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xe735c6b7, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x172c6fc2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xf09df7ef, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xb6484ba4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x858d0b59, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x3e29d017, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x3f97ef83, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x0595fa17, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x66b3e2c7, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x8236b2d2, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x26389f30, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xe3f9160f, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x75b3a1b7, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x9adf8c74, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x7076677c, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xa5d525c2, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xd99b6650, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x03f48736, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xe807d04f, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0xf413c1a0, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x908f88f9, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x14b8d383, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x35ed33f7, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x17cab9ca, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x981287e2, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xb5f8397a, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x52635d8b, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x481349d8, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xcac86a9f, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xe8ddf0f6, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xa761af8e, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x6f6502b8, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xf98e9a97, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x3eeac34b, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x8d6868b8, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x002f8e46, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xa4da5386, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x347964ea, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x68b5deb7, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xa37c460e, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xae88c85f, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x34ee95f0, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xe8c1dc15, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xcc3a3aaf, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x65516cd8, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x0736bc74, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xc50d2725, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc345e835, "perf_trace_run_bpf_submit" },
	{ 0x4746e3cd, "trace_event_buffer_reserve" },
	{ 0x34abb248, "trace_event_buffer_commit" },
	{ 0xb3242adf, "__trace_trigger_soft_disabled" },
	{ 0x3fa97dad, "trace_raw_output_prep" },
	{ 0x1a5f3d4b, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x9a1d9ea8, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x214091ae, "put_device" },
	{ 0x2f00f992, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7be7df30, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xdb367795, "get_device" },
	{ 0xab48a20, "device_find_child" },
	{ 0x3aaed0c6, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd612bc4d, "_dev_printk" },
	{ 0xfd7c61a8, "scsi_target_unblock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x49520ae4, "netlink_kernel_release" },
	{ 0x289a1415, "bus_unregister" },
	{ 0xba011296, "transport_class_unregister" },
	{ 0x9fa1418d, "class_unregister" },
	{ 0xc47b7062, "class_register" },
	{ 0x2bbd7a6c, "transport_class_register" },
	{ 0x21a9029e, "bus_register" },
	{ 0x6bfcb5cf, "init_net" },
	{ 0xb51fb9c8, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7e257e8, "scsi_host_get" },
	{ 0xf80d68a6, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x145d48b7, "scsi_init_limits" },
	{ 0x278d8f8b, "bsg_setup_queue" },
	{ 0x1c2dd2eb, "netlink_broadcast_filtered" },
	{ 0x9c128568, "__alloc_skb" },
	{ 0x2bc0284a, "__nlmsg_put" },
	{ 0xdf9198bc, "scsi_is_host_device" },
	{ 0x6be65760, "bsg_remove_queue" },
	{ 0x5bd56a59, "scsi_host_put" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5b33537c, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc7196a34, "dev_set_name" },
	{ 0x62e25672, "device_register" },
	{ 0x49f64a27, "sysfs_create_group" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x659dfdff, "attribute_container_register" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x6be52646, "scsi_host_lookup" },
	{ 0x79cf7b14, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfa04d26a, "transport_remove_device" },
	{ 0x7f7e7929, "transport_destroy_device" },
	{ 0xbbdb675a, "device_del" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd665b822, "device_add" },
	{ 0xe4f54836, "transport_setup_device" },
	{ 0xdb731fe1, "transport_add_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4b361ad7, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57b95b98, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xb6dc795a, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc674089d, "scsi_scan_target" },
	{ 0x7e4c3933, "netlink_capable" },
	{ 0xf9ce4cd6, "try_module_get" },
	{ 0xf176820e, "module_put" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xac7e4ec, "skb_pull" },
	{ 0x59130526, "netlink_unicast" },
	{ 0x41e34fe4, "trace_event_reg" },
	{ 0x5ee17148, "trace_event_raw_init" },
	{ 0xa1fced0d, "param_ops_int" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39354DEB19B8E5205A954FC");
MODULE_INFO(rhelversion, "9.99");
