#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfsd_open_local_fh, "_gpl", "");

SYMBOL_CRC(nfsd_open_local_fh, 0x5baeaf38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8054f98c, "svc_find_listener" },
	{ 0xef464c28, "getboottime64" },
	{ 0x794e0987, "svc_generic_rpcbind_set" },
	{ 0xa4a8a2ab, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0x96e7efe0, "seq_path" },
	{ 0x3ad72f7, "trace_print_array_seq" },
	{ 0x3f629f5e, "vfs_fsync_range" },
	{ 0x36cb7a6d, "shrinker_alloc" },
	{ 0xf9ce4cd6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc41fd2d3, "vfs_listxattr" },
	{ 0x410b7aa5, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0x60ad846f, "opens_in_grace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x974fdcce, "notify_change" },
	{ 0x929a813, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3761d215, "idr_find" },
	{ 0x41f7e2e5, "simple_dir_inode_operations" },
	{ 0xaf917c83, "vfs_getattr" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x402707fa, "xdr_write_pages" },
	{ 0x65cc5488, "rpc_shutdown_client" },
	{ 0xa548442b, "vfs_rename" },
	{ 0xd35839ca, "svc_bind" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xfa58074, "proc_create" },
	{ 0xeb013927, "lookup_one_len" },
	{ 0xf4d7c5c, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd7d3cc98, "__break_lease" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xced4a74b, "new_inode" },
	{ 0x28fd9347, "svc_recv" },
	{ 0x136385c4, "crypto_shash_tfm_digest" },
	{ 0x396f4931, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x1bdd0510, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff5d04c1, "cache_create_net" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x3fa97dad, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0x934df75f, "nlmsvc_unlock_all_by_sb" },
	{ 0xc9583443, "unregister_filesystem" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x7b524c91, "locks_owner_has_blockers" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0x6d8ff178, "iterate_dir" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x2918ae17, "read_bytes_from_xdr_buf" },
	{ 0xb3242adf, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x7e012c3e, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x5eeff010, "lockd_down" },
	{ 0xe00f78fa, "get_tree_keyed" },
	{ 0x1a5f3d4b, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xc2bb2bdc, "lockd_up" },
	{ 0xc13c8dfb, "abort_creds" },
	{ 0xbecec074, "simple_fill_super" },
	{ 0x77fc95c5, "security_file_post_open" },
	{ 0x56dbb627, "svc_reserve" },
	{ 0x98a2be05, "sunrpc_cache_lookup_rcu" },
	{ 0xb1502b7d, "fsnotify" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x7a70fee7, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x32c673a9, "cache_seq_next_rcu" },
	{ 0xf39149a0, "current_time" },
	{ 0xb076e693, "genlmsg_put" },
	{ 0xd56feafe, "fsnotify_put_mark" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x5ee17148, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x79539236, "kthread_exit" },
	{ 0x194d47d4, "ihold" },
	{ 0x713af4f6, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa05cced6, "simple_transaction_get" },
	{ 0xafeedc7b, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1b8ffe, "svc_max_payload" },
	{ 0x88265f7a, "vfs_test_lock" },
	{ 0xd1775867, "svc_exit_thread" },
	{ 0x21b3fc43, "iput" },
	{ 0x7e09006d, "seq_lseek" },
	{ 0xaa07665c, "follow_down" },
	{ 0x22d2253d, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xe66f3d68, "rpc_wake_up_queued_task" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x9a1d9ea8, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2431d4f9, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7ee26236, "security_inode_setsecctx" },
	{ 0xf7258cac, "__xdr_commit_encode" },
	{ 0xf536d388, "kthread_data" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xaed7d607, "register_filesystem" },
	{ 0x44f6ecf6, "list_lru_count_node" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf00a633f, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x441abc3d, "sync_inode_metadata" },
	{ 0xda548ecd, "simple_transaction_set" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x49672828, "node_states" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xf8496e84, "path_put" },
	{ 0x18505bcc, "rpc_sleep_on" },
	{ 0x3d4fcbed, "svc_encode_result_payload" },
	{ 0xe0f58109, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xd9d097f7, "rpc_put_sb_net" },
	{ 0x70be9989, "__put_cred" },
	{ 0xdd5441cf, "register_pernet_subsys" },
	{ 0x993297db, "locks_in_grace" },
	{ 0x90496d90, "wake_up_process" },
	{ 0xa75a00ca, "vfs_mkdir" },
	{ 0x3f9a9543, "shrinker_free" },
	{ 0xc248a906, "svc_proc_register" },
	{ 0x34abb248, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x1532cef8, "vfs_statfs" },
	{ 0x60b170c6, "crypto_destroy_tfm" },
	{ 0x404b1d62, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0x6ff77ffa, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xdbcbaef, "cache_purge" },
	{ 0xbdb6ffc1, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x30eb8c2, "vfs_iter_read" },
	{ 0xb695689e, "vfs_fallocate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5f8e299a, "__fput_sync" },
	{ 0x110f23f8, "svcauth_map_clnt_to_svc_cred_local" },
	{ 0x2a179ac5, "nfs_to" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe32af7cd, "make_kuid" },
	{ 0xe99a08e2, "locks_release_private" },
	{ 0x4562505b, "mnt_want_write" },
	{ 0x3af301c9, "simple_dir_operations" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x72b7b416, "cache_seq_stop_rcu" },
	{ 0x9c128568, "__alloc_skb" },
	{ 0xbf9fd7f6, "shrinker_register" },
	{ 0xdad858af, "locks_init_lock" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x2d127fa9, "rpc_destroy_pipe_data" },
	{ 0x5e91f41a, "cache_seq_start_rcu" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x774fd0df, "get_inode_acl" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3c10c6b2, "init_task" },
	{ 0xfdf1ef00, "xdr_init_encode_pages" },
	{ 0xdfbbe10a, "rpc_pipe_generic_upcall" },
	{ 0xf176820e, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x35bcaad5, "simple_transaction_release" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc3d806c7, "svc_xprt_put" },
	{ 0xc06b486b, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x760bf7fa, "security_inode_getsecctx" },
	{ 0x63c72d8e, "cache_unregister_net" },
	{ 0x96ac278c, "nfs_uuid_invalidate_clients" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x89e86943, "sunrpc_get_pool_mode" },
	{ 0x9031eac0, "seq_escape_mem" },
	{ 0x259e8fe7, "prepare_creds" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1497362, "lease_modify" },
	{ 0x53d48b9d, "svc_age_temp_xprts_now" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x89f6b32d, "vfs_get_link" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc345e835, "perf_trace_run_bpf_submit" },
	{ 0xc1ad8945, "svc_rqst_replace_page" },
	{ 0x1e5ad895, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x577a20e2, "rpc_machine_cred" },
	{ 0x1abfe7e7, "nfs_stream_encode_acl" },
	{ 0xd2510a63, "up_write" },
	{ 0xd7ac6f0c, "exportfs_encode_fh" },
	{ 0x21faaaf3, "kernel_setlease" },
	{ 0x189082c6, "simple_symlink_inode_operations" },
	{ 0xc290c3e0, "svc_set_num_threads" },
	{ 0xe3a1bfa6, "svc_rpcb_cleanup" },
	{ 0xe34da417, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x8cee41da, "__splice_from_pipe" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x9895fd95, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x59130526, "netlink_unicast" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x1c988178, "locks_init_lease" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2f9eef27, "bpf_trace_run5" },
	{ 0x987c1e80, "rpc_d_lookup_sb" },
	{ 0xe803ef57, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0x858ef938, "svc_create_pooled" },
	{ 0xa91078b5, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9ab1e6ee, "xdr_reserve_space_vec" },
	{ 0x4f606c34, "lock_rename" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0x2ea85131, "__vfs_setxattr_locked" },
	{ 0xe16f6ebe, "svc_fill_symlink_pathname" },
	{ 0x95bfe643, "posix_acl_alloc" },
	{ 0x85abc85f, "strncmp" },
	{ 0xfa003579, "xdr_stream_subsegment" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x4f252d70, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x41e34fe4, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaa711fbc, "vfs_getxattr" },
	{ 0x200044b8, "iov_iter_kvec" },
	{ 0x957c2ce5, "rw_verify_area" },
	{ 0x74c7477a, "locks_alloc_lease" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2cebea2d, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xf8572cef, "simple_transaction_read" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x4236d768, "__audit_inode_child" },
	{ 0x3f90b75f, "xdr_restrict_buflen" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb2f0eada, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x504ddcbe, "set_posix_acl" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x405b2f5c, "rpc_create" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x547bf803, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2e5b0c18, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0x403858, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8a6abae9, "svcauth_unix_purge" },
	{ 0xa2ee3b8d, "default_llseek" },
	{ 0x630e3ed2, "kill_litter_super" },
	{ 0x80c23337, "locks_alloc_lock" },
	{ 0xf5e4e7ee, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc7f22245, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x3b3e9d3d, "rpc_queue_upcall" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xdf8fc82b, "kern_path" },
	{ 0xe823de68, "vfs_lock_file" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x706d1bc5, "cache_check" },
	{ 0x45a721e3, "vfs_iter_write" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xd0928cb6, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xbf26842, "__list_lru_init" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x94c2d8be, "nfs_uuid_is_local" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0xa8856542, "xdr_buf_subsegment" },
	{ 0x44d3807f, "svc_generic_init_request" },
	{ 0x329e95da, "svc_xprt_names" },
	{ 0x349b106b, "rpc_get_sb_net" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xe02e2f0, "make_kgid" },
	{ 0xfc79c691, "xattr_supports_user_prefix" },
	{ 0xc65aab41, "splice_direct_to_actor" },
	{ 0x7d6995c1, "svc_xprt_create_from_sa" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0x4fd260c8, "gss_pseudoflavor_to_service" },
	{ 0xf89deca2, "fsnotify_put_group" },
	{ 0xb933aac1, "dentry_create" },
	{ 0xaf81c21e, "nfs_stream_decode_acl" },
	{ 0x4ddac4b8, "from_kgid_munged" },
	{ 0xf2473983, "unlock_rename" },
	{ 0x45df5f78, "vfs_rmdir" },
	{ 0x103bafd6, "down_read" },
	{ 0x875de61c, "svc_set_client" },
	{ 0x1ba91eff, "rpc_wake_up_next" },
	{ 0x57938861, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x36470d97, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0x3f86636c, "mnt_drop_write" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe8b94ab9, "__vfs_removexattr_locked" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x7ff2cd4d, "bpf_trace_run3" },
	{ 0x85b0a68c, "override_creds" },
	{ 0x607f4176, "seq_read" },
	{ 0x197f1927, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfee42928, "rpc_mkpipe_dentry" },
	{ 0x2cf43e39, "path_get" },
	{ 0x9ad15930, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaec0d344, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xd6dc268c, "sunrpc_set_pool_mode" },
	{ 0x4746e3cd, "trace_event_buffer_reserve" },
	{ 0x4056f80b, "d_add" },
	{ 0x4a8b7d16, "svc_seq_show" },
	{ 0x410973bd, "vfs_fsync" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x14af55f9, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe995eee3, "__percpu_counter_sum" },
	{ 0x5329c42c, "vfs_mknod" },
	{ 0xdd3c2fe7, "cache_register_net" },
	{ 0xe9292dfa, "fsnotify_find_mark" },
	{ 0x85237a6c, "lookup_positive_unlocked" },
	{ 0xb30a53d9, "init_user_ns" },
	{ 0x26138caf, "rpc_uaddr2sockaddr" },
	{ 0x1ca97456, "nlmsvc_ops" },
	{ 0x7bab0637, "rpc_restart_call" },
	{ 0xc951e94d, "dentry_open" },
	{ 0x970dc260, "filp_close" },
	{ 0x9484b62b, "svc_xprt_destroy_all" },
	{ 0xd4369341, "inc_nlink" },
	{ 0xe4cae9c3, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x74035fe8, "remove_proc_entry" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x865a44e7, "list_lru_walk_one" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf34b7867, "svc_find_xprt" },
	{ 0x213e347b, "seq_printf" },
	{ 0x86a9dfa6, "svc_proc_unregister" },
	{ 0x3f8dd491, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xbeb9a58a, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcbfffabf, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7c9b647b, "exportfs_decode_fh_raw" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xd9de22b3, "vfs_clone_file_range" },
	{ 0xabbb904b, "svc_addsock" },
	{ 0xaeee608b, "lookup_one_len_unlocked" },
	{ 0xa55f9a8d, "gss_mech_get" },
	{ 0x56d1ad37, "svc_fill_write_vector" },
	{ 0x2a16ee86, "vfs_llseek" },
	{ 0x298b22d7, "simple_recursive_removal" },
	{ 0xe050e2d5, "locks_free_lease" },
	{ 0x6ab024e3, "__put_user_ns" },
	{ 0x260586a8, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd86acbf7, "sunrpc_cache_pipe_upcall" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x6665a9ba, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x8ba9b844, "svc_print_addr" },
	{ 0xb4bf42ed, "vfs_link" },
	{ 0xb085afe1, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xb00d4339, "seq_open" },
	{ 0xb459fa9c, "dget_parent" },
	{ 0xac61146c, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xdde7ef12, "from_kuid_munged" },
	{ 0x79a8c67d, "prepare_kernel_cred" },
	{ 0x689147a9, "write_bytes_to_xdr_buf" },
	{ 0x95572666, "rpc_call_async" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb31bde4, "cache_destroy_net" },
	{ 0x9c2e36d1, "locks_delete_block" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x9ef4fddf, "bpf_trace_run7" },
	{ 0x7f17a69b, "locks_start_grace" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7d90d3f6, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbf49aafa, "percpu_counter_set" },
	{ 0x23727cfb, "setattr_should_drop_sgid" },
	{ 0xb4877a90, "mntget" },
	{ 0x7d22750b, "single_open" },
	{ 0x19244caa, "lease_get_mtime" },
	{ 0x1c346837, "__mnt_is_readonly" },
	{ 0x21c28d1f, "crypto_alloc_shash" },
	{ 0xd92b921c, "svc_xprt_close" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x87605b01, "genl_register_family" },
	{ 0x5ac4da5, "vcalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9a69ba35, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xaa1702f0, "svc_xprt_create" },
	{ 0x10f891e3, "sunrpc_cache_update" },
	{ 0x2a1153f3, "svc_auth_flavor" },
	{ 0xf0f029ee, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0x808c8aeb, "locks_free_lock" },
	{ 0xf0129b4b, "fsnotify_add_mark" },
	{ 0x2f9c06e3, "set_groups" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x60110504, "auth_domain_put" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7b19fa85, "d_path" },
	{ 0x39251156, "svcauth_gss_flavor" },
	{ 0x1c28f189, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,lockd,grace,nfs_localio,nfs_acl,auth_rpcgss");


MODULE_INFO(srcversion, "5889CDA3D5ABC9184311C42");
MODULE_INFO(rhelversion, "9.99");
