#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0x8001319a, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0xa1b469a4, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x25bd25ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x71552bfe, "icmp6_send" },
	{ 0x60cfcb68, "skb_copy_bits" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd9b0fc2a, "inet_frag_queue_insert" },
	{ 0x55bc4d1a, "inet_frags_init" },
	{ 0x12ae42e3, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdd5441cf, "register_pernet_subsys" },
	{ 0x6b721c16, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0x954d8a7a, "inet_frag_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc8482137, "ipv6_skip_exthdr" },
	{ 0x35144606, "inet_frag_reasm_finish" },
	{ 0x9c3ccebc, "nf_register_net_hooks" },
	{ 0x8c051287, "fqdir_init" },
	{ 0x6bfcb5cf, "init_net" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x13d114b4, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9458ed21, "inet_frags_fini" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x48f91db1, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4a8cb1a1, "nf_defrag_v6_hook" },
	{ 0xc7f22245, "unregister_pernet_subsys" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0x9ad96a1b, "inet_frag_reasm_prepare" },
	{ 0xeb08f128, "inet_frag_find" },
	{ 0xc7520f98, "fqdir_exit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb8bf79b, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0x926418b, "pskb_trim_rcsum_slow" },
	{ 0x3391d583, "inet_frag_kill" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C93075937F04606145EA2D");
MODULE_INFO(rhelversion, "9.99");
