#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xbd00a591, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xef7ade18, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xeca8f080, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xce08c782, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xe8c747ec, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xa93a4ff3, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xdd71d6db, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x2ec4e714, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x14ae7fce, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x2c73a8f9, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x5b1685e8, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x35abf2a6, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x6c58c6e8, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xb4331df7, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x42de831b, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x9bbeb68b, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x46e06b74, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x625cda50, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xff4a6afd, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x3ce2dc8c, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xac35d2ff, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x1c49827a, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x1b085b45, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xc681707b, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x33417c66, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x21b2d61d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7e3667f, "security_sock_graft" },
	{ 0x104bf81c, "sock_map_close" },
	{ 0xb90e3bc0, "sock_queue_rcv_skb_reason" },
	{ 0xf9ce4cd6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe881a52a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5ce63c2, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x7e4d5736, "__module_get" },
	{ 0xa9724ac7, "sk_stream_error" },
	{ 0x1dce0e39, "sk_msg_recvmsg" },
	{ 0xf92a657e, "ns_capable_noaudit" },
	{ 0x70be9989, "__put_cred" },
	{ 0x4b626f2d, "sk_error_report" },
	{ 0xf4df94c2, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x38626af, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3cfc000b, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeea42eb8, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf176820e, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xad360cab, "sk_msg_is_readable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0xc959e452, "sk_free" },
	{ 0xeee6df1b, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xce788fd9, "sock_no_listen" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2cdb975, "sock_recv_errqueue" },
	{ 0x59bc8370, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4dc2596e, "sk_alloc" },
	{ 0x8d391ab7, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xddb40bb1, "misc_register" },
	{ 0xdcb66de6, "sock_no_mmap" },
	{ 0x794dbf2b, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xc9f5db55, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x1a70eb3c, "sk_psock_drop" },
	{ 0x600cd283, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb30a53d9, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb82cd069, "skb_clone" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa4681253, "sock_setsockopt" },
	{ 0x7d8eed28, "sock_init_data" },
	{ 0x9c1e3bd5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "780817BBF2D8B011B8C67C0");
MODULE_INFO(rhelversion, "9.99");
