#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(__kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dirty_log, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(__kvm_faultin_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_prefetch_pages, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_crypto_set_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_crypto_clear_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_gisc_register, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_gisc_unregister, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_pv_is_protected, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_pv_cpu_is_protected, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(vcpu_load, 0xb663d5aa, "_gpl");
SYMBOL_CRC(vcpu_put, 0x15c959f4, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0x3f6ab58c, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0x2190398d, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0x8ae5b47e, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0x172e3f4f, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0xe6a353c0, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0x6954e18b, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0x935afb7d, "_gpl");
SYMBOL_CRC(__kvm_set_memory_region, 0x4a1636d1, "_gpl");
SYMBOL_CRC(kvm_set_memory_region, 0x5fe413ad, "_gpl");
SYMBOL_CRC(kvm_get_dirty_log, 0xb856f531, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0xa3deb4f5, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0x4868119e, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0x93bcd84e, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0xbb7e9690, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x3674842c, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x17f1f4d2, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0xf493d648, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0xeb0acc24, "_gpl");
SYMBOL_CRC(__kvm_faultin_pfn, 0x92fc0f5b, "_gpl");
SYMBOL_CRC(kvm_prefetch_pages, 0x27cc723e, "_gpl");
SYMBOL_CRC(__gfn_to_page, 0x35e53f3b, "_gpl");
SYMBOL_CRC(__kvm_vcpu_map, 0xb9b7b62c, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x4c6b71c4, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0x538e94db, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0x33cab0e2, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0x30584164, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0xc3e41ba1, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0xc28e5d0d, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0x58be01f5, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0xdbd61e53, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0x1b6d9811, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0xe25831e5, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0x4400f439, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0xeda641c1, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0xa68a0061, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0xfebf0a78, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0x87761fa0, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0x697536e1, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0xe1142abb, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0x2fad3c67, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0xd68afd9f, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0x0f733d62, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0xd50195c2, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0x69cb0348, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0x7aab730f, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0xb4109cc9, "_gpl");
SYMBOL_CRC(file_is_kvm, 0xcef8e828, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0xbeb73f9d, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0xea5b5d13, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0xbcfdbfd4, "_gpl");
SYMBOL_CRC(kvm_init, 0x2125c435, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0xefa430e4, "_gpl");
SYMBOL_CRC(kvm_arch_crypto_set_masks, 0xf2e25d9c, "_gpl");
SYMBOL_CRC(kvm_arch_crypto_clear_masks, 0x171b8884, "_gpl");
SYMBOL_CRC(kvm_s390_gisc_register, 0x93041e7a, "_gpl");
SYMBOL_CRC(kvm_s390_gisc_unregister, 0x660c5adf, "_gpl");
SYMBOL_CRC(kvm_s390_pv_is_protected, 0x93720bd9, "_gpl");
SYMBOL_CRC(kvm_s390_pv_cpu_is_protected, 0x7c4ed3e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe05fae7, "pin_user_pages_fast" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x80d82785, "gmap_make_secure" },
	{ 0x3e4b3027, "simple_attr_write" },
	{ 0xf4a96b10, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31d36b51, "sclp" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xe881a52a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x642642a8, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x929a813, "bpf_trace_run4" },
	{ 0x9adf58f5, "gmap_sync_dirty_log_pmd" },
	{ 0x5fb25bca, "gmap_read_table" },
	{ 0x60ddb3d9, "param_ops_uint" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3d4cb9d1, "airq_iv_create" },
	{ 0x2a85c29d, "zpci_enable_device" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xbf73f421, "reset_guest_reference_bit" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ab189a3, "gmap_put" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x3fa97dad, "trace_raw_output_prep" },
	{ 0xaf0728fd, "gmap_shadow_valid" },
	{ 0xc585d014, "__gmap_zap" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xac00f755, "gmap_shadow_pgt" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3242adf, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xec880254, "get_pid_task" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1a5f3d4b, "trace_event_printf" },
	{ 0x79b3ae39, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7ad30a82, "smp_yield_cpu" },
	{ 0xccb491e8, "bsearch" },
	{ 0x1f8a1a10, "fget" },
	{ 0xfcac5c8f, "__put_task_struct" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0x7e4905db, "fd_install" },
	{ 0xc3d9cbe8, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x5ee17148, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0x548d17c4, "airq_iv_alloc" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd063b691, "zpci_register_ioat" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xa9ff15b9, "s390_enable_sie" },
	{ 0x9a1d9ea8, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5aa4dcab, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x48fc7694, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa06caa62, "param_ops_byte" },
	{ 0x2c07cf41, "__s390_uv_destroy_range" },
	{ 0x139e4fa2, "gmap_shadow_page" },
	{ 0x3b8cfbd4, "zpci_aipb" },
	{ 0xd827fff3, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xf6376e9a, "set_pgste_bits" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x719cb384, "get_user_pages_remote" },
	{ 0x34abb248, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xba6b73f9, "zpci_aif_sbv" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1ee435, "_copy_from_user_key" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc776412e, "anon_inode_getfd" },
	{ 0xa2b0a1b1, "follow_pfnmap_start" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x86a34793, "_copy_to_user_key" },
	{ 0x14622d5e, "pgste_perform_essa" },
	{ 0x75deea07, "__free_pages" },
	{ 0x83aa662, "find_vma" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7243a1a8, "__sie64a" },
	{ 0x999c0f6f, "debugfs_lookup" },
	{ 0xd9607d8d, "mark_page_accessed" },
	{ 0xe05f555a, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x18134d49, "kobject_uevent_env" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7a7f1c61, "zpci_kvm_hook" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb5dd99e4, "init_srcu_struct" },
	{ 0xc345e835, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x1e5ad895, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xc438c13e, "vtime_account_kernel" },
	{ 0xdc715894, "get_pgste" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0x5cc698c8, "simple_attr_release" },
	{ 0xde09e9a9, "get_guest_storage_key" },
	{ 0xbb9053cc, "__srcu_read_lock" },
	{ 0xb437ba29, "dentry_path_raw" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xbb3808f4, "noop_llseek" },
	{ 0x2f9eef27, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6ecc607e, "mem_section" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x90a41ff0, "gmap_unregister_pte_notifier" },
	{ 0xee61a9b, "airq_iv_free" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x82726894, "fixup_user_fault" },
	{ 0xbbf8ee49, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x4344a03d, "gmap_remove" },
	{ 0xd7f91c3f, "preempt_notifier_register" },
	{ 0x82b52835, "finish_rcuwait" },
	{ 0x41e34fe4, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa2b7903a, "gmap_destroy_page" },
	{ 0x8cfdc23, "s390_replace_asce" },
	{ 0xf557c17d, "gmap_translate" },
	{ 0x3607c5d7, "sthyi_fill" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x50e38aed, "set_guest_storage_key" },
	{ 0xac1686bc, "gmap_create" },
	{ 0xa442f67a, "mmu_notifier_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xbdd74ae6, "cleanup_srcu_struct" },
	{ 0xf61b3cc7, "gmap_shadow_r2t" },
	{ 0x9203ee2d, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66c168fd, "__vcalloc_noprof" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6b8d2325, "s390_epoch_delta_notifier" },
	{ 0x403858, "bpf_trace_run1" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x286a3661, "airq_iv_scan" },
	{ 0x95e63ced, "prot_virt_host" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xef23b39b, "alloc_pages_exact_noprof" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x8c1b1b08, "synchronize_srcu_expedited" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0xd334682a, "gmap_convert_to_secure" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xddb40bb1, "misc_register" },
	{ 0xd0dc6cc1, "unpin_user_page" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfd9a9866, "stfle_fac_list" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x44e0ccaa, "zpci_set_irq_ctrl" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0x7c8bf7ab, "zpci_disable_device" },
	{ 0xd6468d2c, "simple_attr_read" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x1d216a6b, "mutex_lock_killable" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe5ceea22, "__mmdrop" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x617e2c24, "s390_disable_cow_sharing" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xe798236d, "jiffies" },
	{ 0xa0a15b49, "smp_call_function_many" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x4ec1f948, "debug_unregister" },
	{ 0x7ff2cd4d, "bpf_trace_run3" },
	{ 0x1f42890, "__mmap_lock_do_trace_start_locking" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc622ea97, "stsi" },
	{ 0x93ccea2b, "gmap_fault" },
	{ 0x7230beea, "fdget" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x4746e3cd, "trace_event_buffer_reserve" },
	{ 0xc5e3cfad, "gmap_shadow_sgt" },
	{ 0x1a815ed3, "mmput" },
	{ 0x4ba88dcb, "chsc_sgib" },
	{ 0xf74300d7, "arch_vcpu_is_preempted" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x14af55f9, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x9616c5ea, "get_user_pages_fast_only" },
	{ 0x70e9751b, "__kernel_fpu_begin" },
	{ 0x372ef79, "get_user_pages_unlocked" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x6cd6b6db, "__tracepoint_mmap_lock_start_locking" },
	{ 0x5b11b65f, "__folio_put" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9888f050, "pin_user_pages_unlocked" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x85d1bb17, "gmap_map_segment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d6a2900, "__mmap_lock_do_trace_released" },
	{ 0x7b68ebc4, "gmap_mprotect_notify" },
	{ 0x3f8dd491, "dput" },
	{ 0xe70e184a, "xa_store" },
	{ 0x9303d6d8, "stfle_size" },
	{ 0xb15f6389, "__srcu_read_unlock" },
	{ 0xb4642a1d, "set_page_dirty_lock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0x19e340aa, "mmu_notifier_register" },
	{ 0x23a4322a, "s390_reset_cmma" },
	{ 0x4377e247, "debugfs_create_file_full" },
	{ 0x3538c68d, "gmap_register_pte_notifier" },
	{ 0xb3ff1f69, "free_pages_exact" },
	{ 0x96b01697, "alloc_pages_noprof" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x29796a2e, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x22a50f5e, "zpci_mod_fc" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x88a24c60, "preempt_notifier_unregister" },
	{ 0x638d938, "send_sig" },
	{ 0xe24de213, "gmap_discard" },
	{ 0x2842e5e0, "gmap_shadow_pgt_lookup" },
	{ 0x157bc422, "s390_enable_skey" },
	{ 0xd182cfd9, "follow_pfnmap_end" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x4129f129, "uv_info" },
	{ 0x4319ff47, "__kernel_fpu_end" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0x8a1a058f, "hrtimer_forward" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x1aed295, "hrtimer_active" },
	{ 0x8a3b7d77, "debug_sprintf_view" },
	{ 0x1c623c89, "gmap_shadow_r3t" },
	{ 0xfaa08298, "get_task_pid" },
	{ 0xa1fced0d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x147aad0c, "debugfs_create_dir" },
	{ 0xc6f8989b, "airq_iv_release" },
	{ 0x517c1fc9, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x29deb0ac, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xdd763189, "gmap_shadow" },
	{ 0x9e206588, "debug_register_view" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x13cf02ef, "put_pid" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1f85bdda, "save_fpu_state" },
	{ 0x88d51e9d, "gmap_unmap_segment" },
	{ 0x525ff646, "cond_set_guest_storage_key" },
	{ 0x6a54174f, "eventfd_ctx_fileget" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81a25aed, "mtree_load" },
	{ 0x645602c, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3b7431fe, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "575A2BC94BFB07211B9E4E9");
MODULE_INFO(rhelversion, "9.99");
