#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_kunit_helper_alloc_device, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_free_device, "_gpl", "");
KSYMTAB_FUNC(__drm_kunit_helper_alloc_drm_device_with_driver, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_acquire_ctx_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_atomic_state_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_primary_plane, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_crtc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_display_mode_from_cea_vic, "_gpl", "");

SYMBOL_CRC(drm_kunit_helper_alloc_device, 0xefaf2424, "_gpl");
SYMBOL_CRC(drm_kunit_helper_free_device, 0x91fc9a07, "_gpl");
SYMBOL_CRC(__drm_kunit_helper_alloc_drm_device_with_driver, 0xcf7e94e6, "_gpl");
SYMBOL_CRC(drm_kunit_helper_acquire_ctx_alloc, 0x32b9b423, "_gpl");
SYMBOL_CRC(drm_kunit_helper_atomic_state_alloc, 0x80f9da98, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_primary_plane, 0xaedd1c93, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_crtc, 0xa6ba77aa, "_gpl");
SYMBOL_CRC(drm_kunit_display_mode_from_cea_vic, 0x298c8332, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f58125, "kunit_device_register" },
	{ 0x898376d, "kunit_device_unregister" },
	{ 0x9f6497cc, "__devm_drm_dev_alloc" },
	{ 0xe7f527a9, "drmm_mode_config_init" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1a5f780f, "drm_modeset_drop_locks" },
	{ 0x8df3e737, "drm_modeset_acquire_fini" },
	{ 0x2169e03, "kunit_kmalloc_array" },
	{ 0x5669d7d3, "drm_modeset_acquire_init" },
	{ 0xae2eca2c, "kunit_add_action_or_reset" },
	{ 0xafc9dca2, "kunit_binary_ptr_assert_format" },
	{ 0xb4bb7c58, "__kunit_do_failed_assertion" },
	{ 0x3378ab5c, "__kunit_abort" },
	{ 0x23c39ca7, "drm_atomic_state_alloc" },
	{ 0x4ef3230a, "__drmm_universal_plane_alloc" },
	{ 0xb4c6eee7, "kunit_ptr_not_err_assert_format" },
	{ 0xe2ab5603, "drmm_kmalloc" },
	{ 0x7520c5a, "drmm_crtc_init_with_planes" },
	{ 0xc280a33b, "kunit_binary_assert_format" },
	{ 0x28e50b2d, "drm_display_mode_from_cea_vic" },
	{ 0x5b9199d8, "drm_mode_destroy" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xda8addb4, "drm_atomic_helper_check" },
	{ 0x589ac5cf, "drm_atomic_helper_commit" },
	{ 0x9b7dcae9, "drm_atomic_helper_plane_reset" },
	{ 0x5502659a, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x1761821, "drm_atomic_helper_plane_destroy_state" },
	{ 0x661fc195, "drm_atomic_helper_crtc_reset" },
	{ 0x2842c2fa, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xfd203dde, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "kunit,drm,drm_kms_helper");


MODULE_INFO(srcversion, "B4063EC70501F32DCC24F2A");
MODULE_INFO(rhelversion, "9.99");
