#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x096ae1dd, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xfd74125b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xb052f818, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0xb788c3b2, "pci_cfg_access_unlock" },
	{ 0x3a9cc0d2, "pci_enable_device" },
	{ 0x1afabd84, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3f6699f, "pci_alloc_irq_vectors" },
	{ 0x1012d94e, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xb293500d, "dma_unmap_page_attrs" },
	{ 0x8bf2bc9, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8720b7c1, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3a959faa, "page_pool_destroy" },
	{ 0x6ced4048, "pci_irq_vector" },
	{ 0xc47a2cd6, "__netif_napi_del" },
	{ 0xffcf3e5a, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0x7c24b0b2, "pci_unregister_driver" },
	{ 0xe92b483, "pci_cfg_access_lock" },
	{ 0xf55ed854, "mlxsw_core_bus_device_register" },
	{ 0x6c50a5d9, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcfbcd7b6, "dma_map_page_attrs" },
	{ 0x1d4bef29, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xbfb101, "__napi_schedule" },
	{ 0x9e9bf4b, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x864667af, "__pci_reset_function_locked" },
	{ 0x5b45d14a, "__dma_sync_single_for_cpu" },
	{ 0x328bd9e4, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0xc51c1b4a, "dma_alloc_attrs" },
	{ 0x67a3f5d7, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x71b6da0a, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb07657f3, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x86a50496, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x546f6714, "pci_restore_state" },
	{ 0x3a02541f, "page_pool_create" },
	{ 0x79e031ba, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd920ef46, "pci_set_master" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0xec0ed86c, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x2b4e29e6, "alloc_netdev_dummy" },
	{ 0xa56ace77, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xb48d33d8, "pci_release_regions" },
	{ 0x66b77331, "page_pool_alloc_pages" },
	{ 0x7cb0cde, "napi_build_skb" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6c07495, "pci_disable_device" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x61d7590a, "dma_set_mask" },
	{ 0x9c51d227, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa2998f24, "napi_schedule_prep" },
	{ 0x90a57e6d, "napi_consume_skb" },
	{ 0x7480fa61, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x3ef8f8d5, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "A619F07FE4E4D4D303F8CD3");
MODULE_INFO(rhelversion, "9.99");
