#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xe3a2a55e, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x701d86d3, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x47753988, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x1b635b83, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xc775c455, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96704c89, "__do_once_done" },
	{ 0x7f99d592, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x20ea8559, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xea2b2989, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xec7f94b7, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa0fe7cd2, "netdev_update_features" },
	{ 0x5ce63c2, "consume_skb" },
	{ 0x324ef006, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x99ec339c, "dev_uc_sync" },
	{ 0xd9ac9873, "rtnl_link_register" },
	{ 0xa381e07a, "netif_inherit_tso_max" },
	{ 0xabaf6ed5, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x47882bd8, "ip_route_output_flow" },
	{ 0x749343ba, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf590f6b9, "dev_uc_unsync" },
	{ 0x63504381, "ether_setup" },
	{ 0x3ae148c7, "netdev_err" },
	{ 0xa2a62e59, "netdev_upper_dev_link" },
	{ 0xdd5441cf, "register_pernet_subsys" },
	{ 0x6971acb, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1736c729, "eth_header_parse" },
	{ 0x755e9015, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xce6c9c2b, "eth_header_cache_update" },
	{ 0x9c3ccebc, "nf_register_net_hooks" },
	{ 0x173bbb44, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x95895c22, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf03d2dd9, "__dev_get_by_index" },
	{ 0x4134c86e, "rtnl_link_unregister" },
	{ 0xac7e4ec, "skb_pull" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x9175c236, "netif_stacked_transfer_operstate" },
	{ 0xc121d7f7, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb805c5a, "ns_capable" },
	{ 0x48f91db1, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe61a4b77, "ethtool_op_get_link" },
	{ 0xe2bfd7e7, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc7f22245, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0xca8795f5, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x59501bf8, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x600cd283, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb70850, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xfcd1c928, "call_netdevice_notifiers" },
	{ 0x28819d3b, "vlan_vid_del" },
	{ 0xae613c8, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb82cd069, "skb_clone" },
	{ 0xb8bf79b, "dst_release" },
	{ 0x76640ca6, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7f0acba2, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8b5aeb05, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x3f479a10, "dev_mc_unsync" },
	{ 0x17f05d89, "dev_change_flags" },
	{ 0x4da2ccc1, "netdev_core_stats_inc" },
	{ 0x1c243b18, "dev_forward_skb" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaca87eb9, "register_netdevice" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E7C429CE6C8BF30C4B8B76E");
MODULE_INFO(rhelversion, "9.99");
