#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0x4cefbd10, "");
SYMBOL_CRC(uart_update_timeout, 0x9d069831, "");
SYMBOL_CRC(uart_get_baud_rate, 0x1913fd11, "");
SYMBOL_CRC(uart_get_divisor, 0xe20c245d, "");
SYMBOL_CRC(uart_xchar_out, 0x3579a83c, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0xc62c53f5, "");
SYMBOL_CRC(uart_resume_port, 0x7d39b587, "");
SYMBOL_CRC(uart_register_driver, 0x72a041d0, "");
SYMBOL_CRC(uart_unregister_driver, 0x447632fb, "");
SYMBOL_CRC(uart_console_device, 0xb3011fda, "_gpl");
SYMBOL_CRC(uart_match_port, 0xa20fbc47, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x137491e0, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0xcec80423, "_gpl");
SYMBOL_CRC(uart_insert_char, 0xb5b3623f, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x0f54aaff, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0x1a16fbaa, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0x65e8b7ae, "");
SYMBOL_CRC(uart_remove_one_port, 0x4deda42d, "");
SYMBOL_CRC(uart_read_port_properties, 0xc6959c8c, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0x39c4e107, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x5367a8b6, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc7196a34, "dev_set_name" },
	{ 0x91bdeb27, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x182c6620, "platform_get_irq" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe08ba649, "tty_kref_put" },
	{ 0xc2ccf8d6, "gpiod_set_value_cansleep" },
	{ 0xf80d68a6, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9bceb599, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xf0b7295a, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xf6fc1670, "tty_standard_install" },
	{ 0x77982d7d, "devm_gpiod_get_optional" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x695ed509, "tty_hangup" },
	{ 0x7c3ce8a5, "tty_unregister_driver" },
	{ 0xffcf3e5a, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x214091ae, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4044cdc4, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x623d638c, "tty_port_tty_wakeup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x79b641f3, "_dev_alert" },
	{ 0xc69ee567, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x289a1415, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x328bd9e4, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xd665b822, "device_add" },
	{ 0x2431df89, "tty_ldisc_ref" },
	{ 0x51e1ef2e, "tty_vhangup" },
	{ 0xa277c1cd, "irq_get_irq_data" },
	{ 0xa0c606f8, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbacfd825, "tty_port_destroy" },
	{ 0xa8d7fde1, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0x4f252d70, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc6ae51d0, "driver_unregister" },
	{ 0x8730cd75, "__dev_fwnode_const" },
	{ 0x1a6dfb2a, "tty_ldisc_deref" },
	{ 0xab48a20, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbbdb675a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x50e4a7d3, "tty_port_register_device_attr_serdev" },
	{ 0xe39f17ac, "tty_port_close" },
	{ 0xfd8706b9, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3219495, "_dev_notice" },
	{ 0xbbaa07c8, "fwnode_property_present" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x3fbc5b5c, "irq_get_nr_irqs" },
	{ 0xe14753f8, "tty_register_driver" },
	{ 0x54e48856, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xb5a62c19, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x213e347b, "seq_printf" },
	{ 0xc05c56af, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x5669ab4b, "register_console" },
	{ 0xe2aad990, "dev_err_probe" },
	{ 0xcb8ef83b, "__seq_puts" },
	{ 0xfcca3763, "fwnode_irq_get" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x14485053, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac05ebca, "tty_driver_kref_put" },
	{ 0xac1b8fa0, "__dev_fwnode" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x21a9029e, "bus_register" },
	{ 0x63ca96de, "tty_port_tty_get" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "959E286D34A2EA3B42D82E6");
MODULE_INFO(rhelversion, "9.99");
