#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x18a13b97, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xb237b06a, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x8a49420a, "_gpl");
SYMBOL_CRC(fat_scan, 0x5537ed28, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xf4b58540, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xd58ca8b1, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xe168c89c, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x97bb5df7, "_gpl");
SYMBOL_CRC(fat_getattr, 0xacf49cf8, "_gpl");
SYMBOL_CRC(fat_setattr, 0x0c78f117, "_gpl");
SYMBOL_CRC(fat_attach, 0x1daf75b5, "_gpl");
SYMBOL_CRC(fat_detach, 0xbe3e9405, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x5a8e1327, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x96287ad5, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x219fa54f, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x5370bac0, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xa619e8a3, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xfdcbd014, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x13bea624, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x80f940e4, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x4a361d95, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x8bfa00aa, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x0b21f3c7, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x15194498, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x82677781, "_gpl");
SYMBOL_CRC(fat_update_time, 0xe6d2e476, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52e98c19, "filemap_fdatawrite" },
	{ 0xc5ca0c03, "generic_fillattr" },
	{ 0x1490f8c5, "setattr_prepare" },
	{ 0xf92b20f3, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x66ed3817, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x97ebf728, "make_vfsgid" },
	{ 0x7847d47e, "blk_start_plug" },
	{ 0x5aa36625, "clear_inode" },
	{ 0xe8c21505, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc0ca4a87, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xced4a74b, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x3a1dd415, "mark_buffer_dirty" },
	{ 0xc6871a22, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5f39189e, "__find_get_block" },
	{ 0x9abe891b, "filemap_fdatawrite_range" },
	{ 0xde6b7d5e, "inode_needs_sync" },
	{ 0xcf127e4b, "__blockdev_direct_IO" },
	{ 0xca5f733a, "d_make_root" },
	{ 0x5ebecc0c, "__bforget" },
	{ 0xdcc5517c, "sb_set_blocksize" },
	{ 0x37240e65, "block_truncate_page" },
	{ 0xabf2e736, "write_dirty_buffer" },
	{ 0xe30c0b59, "sync_filesystem" },
	{ 0xb1502b7d, "fsnotify" },
	{ 0xf39149a0, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb956ed53, "from_vfsuid" },
	{ 0xd08a430e, "inode_dio_wait" },
	{ 0xafeedc7b, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a28ba7d, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x21b3fc43, "iput" },
	{ 0x97ed8c2, "fs_param_is_enum" },
	{ 0x61bdc845, "fs_param_is_s32" },
	{ 0x4e0082bd, "iter_file_splice_write" },
	{ 0xb487450, "fs_param_is_bool" },
	{ 0x82fd9446, "generic_file_write_iter" },
	{ 0x441abc3d, "sync_inode_metadata" },
	{ 0x258a70a0, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x44d69799, "fs_param_is_u32" },
	{ 0xe4da59eb, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x988344, "block_invalidate_folio" },
	{ 0x33afb369, "__breadahead" },
	{ 0x45d5ebf2, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x55e95486, "load_nls" },
	{ 0x14ebf49f, "generic_cont_expand_simple" },
	{ 0xbc7add17, "truncate_inode_pages_final" },
	{ 0x2b62dbf2, "generic_file_mmap" },
	{ 0x7d08be0f, "sync_mapping_buffers" },
	{ 0x23e17300, "ilookup" },
	{ 0xa7a421ba, "invalidate_inode_buffers" },
	{ 0x892e7eed, "blk_finish_plug" },
	{ 0x91148008, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5c1d18d7, "mnt_drop_write_file" },
	{ 0x330c5939, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xa996f0d2, "inode_init_once" },
	{ 0x89c447d, "compat_ptr_ioctl" },
	{ 0xc06b486b, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x5a57834c, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x4bec8a13, "generic_file_read_iter" },
	{ 0x390b68cf, "inode_maybe_inc_iversion" },
	{ 0x55091575, "truncate_pagecache" },
	{ 0x96d63450, "sync_dirty_buffer" },
	{ 0x623a77de, "setattr_copy" },
	{ 0x7277c372, "__wait_on_buffer" },
	{ 0x43a09003, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf8992ac8, "kmem_cache_alloc_lru_noprof" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xd742b0ec, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xce01c945, "from_vfsgid" },
	{ 0x58054289, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x944d50b3, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x68f729e8, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa67e62cd, "block_dirty_folio" },
	{ 0x9817d7f9, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x66ef5245, "__insert_inode_hash" },
	{ 0xb14600c3, "buffer_migrate_folio" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0x4ddac4b8, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x1fa7d702, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x71dd38ad, "generic_encode_ino32_fh" },
	{ 0x6172376e, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe33f1513, "igrab" },
	{ 0x33d5bd4b, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xb132119d, "mpage_readahead" },
	{ 0x796abf8b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xb30a53d9, "init_user_ns" },
	{ 0xe4cae9c3, "seq_write" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x213e347b, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x54729461, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x53746f1f, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x48a46d3c, "generic_fh_to_parent" },
	{ 0x7825c993, "__fs_parse" },
	{ 0x449e4ce4, "filemap_splice_read" },
	{ 0xdde7ef12, "from_kuid_munged" },
	{ 0x39ac5a92, "__generic_file_fsync" },
	{ 0xbcde0770, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7508d9f9, "__mark_inode_dirty" },
	{ 0x517c1fc9, "generic_file_llseek" },
	{ 0x6afada3a, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x28b8e570, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x6a68ce1e, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x35a46a50, "inode_set_ctime_to_ts" },
	{ 0xc91cc62d, "fs_param_is_uid" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x79b3d986, "blkdev_issue_discard" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
MODULE_INFO(rhelversion, "9.99");
