#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x16f5f56b, "");
SYMBOL_CRC(ceph_compare_options, 0x1c6a806c, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x5a5467b4, "");
SYMBOL_CRC(ceph_parse_param, 0xa533c697, "");
SYMBOL_CRC(ceph_print_client_options, 0x628d7b89, "");
SYMBOL_CRC(ceph_client_addr, 0xaee2a471, "");
SYMBOL_CRC(ceph_client_gid, 0xcdb09466, "");
SYMBOL_CRC(ceph_create_client, 0xf0bcfe51, "");
SYMBOL_CRC(ceph_destroy_client, 0xea2e8bb5, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x8b06bffe, "");
SYMBOL_CRC(__ceph_open_session, 0xc5d96d50, "");
SYMBOL_CRC(ceph_open_session, 0x7f1b0ee3, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x46486c05, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xa8214866, "");
SYMBOL_CRC(ceph_con_open, 0xa6af0bb1, "");
SYMBOL_CRC(ceph_con_init, 0x1a9d307a, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x9b43dbba, "");
SYMBOL_CRC(ceph_con_keepalive, 0x551c7ada, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x27ed056a, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x972ae183, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x328ad5f8, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x9315f8be, "");
SYMBOL_CRC(ceph_msg_new2, 0xf8ddb3f1, "");
SYMBOL_CRC(ceph_msg_new, 0xd7c6d471, "");
SYMBOL_CRC(ceph_msg_get, 0x49dab277, "");
SYMBOL_CRC(ceph_msg_put, 0xfc5087b9, "");
SYMBOL_CRC(ceph_msg_dump, 0x8cee4b00, "");
SYMBOL_CRC(ceph_buffer_new, 0xe85108a4, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xa376f5df, "");
SYMBOL_CRC(ceph_pagelist_release, 0x52e131f0, "");
SYMBOL_CRC(ceph_pagelist_append, 0x7790a91c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0x8375650f, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0xdeddd368, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0x0ce74839, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0x81d82bea, "");
SYMBOL_CRC(ceph_monc_want_map, 0xb3656066, "");
SYMBOL_CRC(ceph_monc_got_map, 0xbf5e537e, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0xcc96137d, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x9f08034b, "");
SYMBOL_CRC(ceph_monc_open_session, 0x305ce660, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0xba2c9cc2, "");
SYMBOL_CRC(ceph_monc_get_version, 0xb430bd94, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x9a6afea4, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x355a3796, "");
SYMBOL_CRC(ceph_monc_init, 0xe887f698, "");
SYMBOL_CRC(ceph_monc_stop, 0x0d143e49, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x4ce21ecd, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x1157def0, "");
SYMBOL_CRC(ceph_cls_unlock, 0x6b49bd34, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x16156d80, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xe74f76b2, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x040b4dec, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xe7e757fa, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xb906e6d9, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x9dfa98eb, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xbba78610, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0xcdae7ab6, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x5df3962d, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xcc4efb41, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x6b67991b, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0xf5881a34, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0xa4d64987, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x695de40f, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x4352e8b1, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x5e8bdbff, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xd9542851, "");
SYMBOL_CRC(ceph_osdc_put_request, 0xe3269b5c, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x241576c6, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x921c8712, "");
SYMBOL_CRC(osd_req_op_init, 0xe0227834, "");
SYMBOL_CRC(osd_req_op_extent_init, 0x3d9c65bb, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xe9db178f, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x52d698d8, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x569a71dc, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xdebb737c, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xea1c63f1, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x81bc60af, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xb297e42e, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x45694d34, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x37c2b8ce, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x2baff7ba, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x7026261d, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x1c210268, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0xef3c5454, "");
SYMBOL_CRC(ceph_osdc_sync, 0x6a17ad93, "");
SYMBOL_CRC(ceph_osdc_watch, 0x8e58562e, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x004baa74, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xe4e84fab, "");
SYMBOL_CRC(ceph_osdc_notify, 0x4d851928, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x706662fd, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xa4d29d30, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x56319154, "");
SYMBOL_CRC(ceph_osdc_call, 0x99c2d05c, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x3e08aa04, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0xcab25d94, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x8111e973, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x0e776b7e, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbc98cee2, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x3746c25c, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xb8028006, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0xa58b7e99, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x48429b69, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x511aa6bb, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0xb8c5b7f9, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0xb6106d6d, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x46b1b70e, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x23ac25d0, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x67be8479, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0xee2511e3, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x366b494b, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0xfa9f5027, "");
SYMBOL_CRC(ceph_release_page_vector, 0x21007d38, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x06c2fdb3, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0xebe84629, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0xb14b78dc, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0xb6e66b6c, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x9be11168, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x3524c308, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2e28fd5, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5cd6f99b, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20a4a5c8, "tcp_sock_set_cork" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc0ca4a87, "fs_param_is_string" },
	{ 0xfabba676, "vmalloc_to_page" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x60e88c3f, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xc059bb36, "unregister_key_type" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa3643003, "iov_iter_get_pages2" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7e09006d, "seq_lseek" },
	{ 0x97ed8c2, "fs_param_is_enum" },
	{ 0x5e8b597e, "logfc" },
	{ 0xf07148a5, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xbc3f128d, "crypto_aead_setauthsize" },
	{ 0x2cde4357, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xd6ec047f, "crypto_skcipher_setkey" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0xf7e020e3, "filemap_alloc_folio_noprof" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x5dd3be83, "register_key_type" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x60b170c6, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x44d69799, "fs_param_is_u32" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe62a33b1, "crypto_skcipher_decrypt" },
	{ 0x75deea07, "__free_pages" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc954559d, "dns_query" },
	{ 0x9031eac0, "seq_escape_mem" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x2a1adcc2, "key_put" },
	{ 0x30b9a518, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x5f9c7fe2, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6949061e, "crypto_shash_setkey" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4dea1053, "memchr" },
	{ 0x5c35f0e2, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0xbbf8ee49, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x4f252d70, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x200044b8, "iov_iter_kvec" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb0128c2c, "sock_sendmsg" },
	{ 0x7eb35891, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7a50c5f6, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30c47acf, "kernel_connect" },
	{ 0x85036c35, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x6108288f, "complete_all" },
	{ 0x8b893668, "crypto_alloc_sync_skcipher" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0x5df756d7, "__crypto_memneq" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x607f4176, "seq_read" },
	{ 0x197f1927, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xff424b7c, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xa2923956, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0x38f7aa17, "request_key_tag" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x36070e12, "generic_key_instantiate" },
	{ 0xe4cae9c3, "seq_write" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x5b11b65f, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x213e347b, "seq_printf" },
	{ 0xcf88708d, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb4642a1d, "set_page_dirty_lock" },
	{ 0x85d81eb8, "sock_release" },
	{ 0x70cf9b55, "iov_iter_discard" },
	{ 0x4377e247, "debugfs_create_file_full" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0x96b01697, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6665a9ba, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb5582fd3, "tcp_sock_set_nodelay" },
	{ 0x7825c993, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x46996e9, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d22750b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x21c28d1f, "crypto_alloc_shash" },
	{ 0x147aad0c, "debugfs_create_dir" },
	{ 0xb832961, "kernel_sendmsg" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "dns_resolver");


MODULE_INFO(srcversion, "F358068A3D6AC6378A1F10B");
MODULE_INFO(rhelversion, "9.99");
