#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xb6fd2766, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x68165470, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x5f2df407, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x185b522e, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xfac4810f, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x6ea95fbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7856f448, "nf_ct_ext_add" },
	{ 0x4163f313, "nsh_pop" },
	{ 0x10607beb, "nf_conntrack_find_get" },
	{ 0x1612bb67, "nf_ct_set_timeout" },
	{ 0xa493ca1a, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0xf9ce4cd6, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6bb19b2c, "dev_fill_metadata_dst" },
	{ 0x929a813, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x60cfcb68, "skb_copy_bits" },
	{ 0x63aad933, "nf_ct_handle_fragments" },
	{ 0x600469a7, "eth_mac_addr" },
	{ 0x1afabd84, "skb_put" },
	{ 0xc91c295e, "genl_notify" },
	{ 0xef6843e3, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5ce63c2, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5593fb2c, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcdd3e98b, "skb_eth_pop" },
	{ 0x3fa97dad, "trace_raw_output_prep" },
	{ 0x658eed97, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x2e00c88f, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xddc52ab5, "nf_ct_helper" },
	{ 0xb3242adf, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x1a5f3d4b, "trace_event_printf" },
	{ 0x48170f96, "rtnl_delete_link" },
	{ 0xd9ac9873, "rtnl_link_register" },
	{ 0x142d8db, "nf_connlabels_put" },
	{ 0xb076e693, "genlmsg_put" },
	{ 0xe79bff7c, "___pskb_trim" },
	{ 0x5ee17148, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3d7d1734, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xd65ff77f, "dev_set_promiscuity" },
	{ 0xe708dcf0, "nf_ct_destroy_timeout" },
	{ 0xde3b2680, "nf_ct_add_helper" },
	{ 0x2fd76f40, "nf_conntrack_helper_put" },
	{ 0x3f2d0db6, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3113d2e0, "nf_ct_skb_network_trim" },
	{ 0x749343ba, "unregister_netdevice_queue" },
	{ 0x73900037, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x63504381, "ether_setup" },
	{ 0x1c2dd2eb, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xe4479a64, "pskb_expand_head" },
	{ 0x48f0f104, "skb_csum_hwoffload_help" },
	{ 0x34abb248, "trace_event_buffer_commit" },
	{ 0x6971acb, "dev_addr_mod" },
	{ 0xd9ad22dd, "nf_connlabels_replace" },
	{ 0x749b8a77, "eth_type_trans" },
	{ 0x8da5c4d5, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xa1c52990, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x755e9015, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc6279c4c, "skb_eth_push" },
	{ 0x9d3918ca, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x9c128568, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd6914e60, "skb_mpls_pop" },
	{ 0xa246b2f4, "skb_vlan_pop" },
	{ 0xb6c5e4ca, "dst_init" },
	{ 0xf176820e, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x2fd31225, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4134c86e, "rtnl_link_unregister" },
	{ 0xc345e835, "perf_trace_run_bpf_submit" },
	{ 0x6bfcb5cf, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x110cc1ab, "ipv6_stub" },
	{ 0xb01a5af7, "skb_mpls_update_lse" },
	{ 0xac7e4ec, "skb_pull" },
	{ 0xac935379, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x59130526, "netlink_unicast" },
	{ 0x2f9eef27, "bpf_trace_run5" },
	{ 0x13d114b4, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe743aa, "skb_push" },
	{ 0xa5a16be, "kmem_cache_free" },
	{ 0xc121d7f7, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x41e34fe4, "trace_event_reg" },
	{ 0x2d9dd2c2, "skb_ensure_writable" },
	{ 0x71b6da0a, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1d7ecf3e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x477329bf, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe61a4b77, "ethtool_op_get_link" },
	{ 0xfa93c687, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xc4c6c4da, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2c43390b, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc61c5f84, "__pskb_pull_tail" },
	{ 0xae3a0f69, "nf_ct_delete" },
	{ 0x5150c91c, "nf_conncount_init" },
	{ 0xd85d3712, "skb_vlan_push" },
	{ 0xca8795f5, "netif_rx" },
	{ 0x45c4ebee, "__netdev_alloc_skb" },
	{ 0xd57038d3, "__kmem_cache_create_args" },
	{ 0x93710c4e, "netdev_master_upper_dev_link" },
	{ 0x307324e4, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x5a8a02b8, "inet_proto_csum_replace16" },
	{ 0x79cf7b14, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x59501bf8, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8c5ff167, "nf_ct_deliver_cached_events" },
	{ 0x1a57e724, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x67a2f934, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x600cd283, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4746e3cd, "trace_event_buffer_reserve" },
	{ 0xcd924d9d, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x59f9ac0e, "inet_proto_csum_replace4" },
	{ 0x78b1b748, "nf_conncount_destroy" },
	{ 0xe059b346, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0x4ffab58d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc0d0ae45, "dev_get_by_name" },
	{ 0xb82cd069, "skb_clone" },
	{ 0x3939a720, "metadata_dst_alloc" },
	{ 0xb8bf79b, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x48c78c86, "peernet2id_alloc" },
	{ 0xa343350a, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x76640ca6, "netdev_rx_handler_register" },
	{ 0x7d8edd9e, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xac61146c, "genl_unregister_family" },
	{ 0x96e62cca, "dev_disable_lro" },
	{ 0x65a2db88, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x20f199ab, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x87605b01, "genl_register_family" },
	{ 0xfb888577, "nf_ct_tmpl_free" },
	{ 0x5e42b606, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x5752903e, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x268cfae1, "skb_mpls_push" },
	{ 0x5dd54a35, "register_pernet_device" },
	{ 0xbeea3a89, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9a52b90, "kmem_cache_destroy" },
	{ 0x9a15b05a, "__skb_vlan_pop" },
	{ 0xf18107bc, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaca87eb9, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "54C7CD7E9602179DF1D9856");
MODULE_INFO(rhelversion, "9.99");
