#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b1bf9b4, "virtio_transport_purge_skbs" },
	{ 0xd97f5672, "virtio_transport_notify_recv_init" },
	{ 0x8e6c1408, "virtio_transport_release" },
	{ 0x8ebedebe, "vmemmap" },
	{ 0x5d2a4579, "virtqueue_enable_cb" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8afb4239, "virtio_transport_consume_skb_sent" },
	{ 0x1afabd84, "skb_put" },
	{ 0x2ec4e714, "vsock_for_each_connected_socket" },
	{ 0xd6472abf, "virtqueue_detach_unused_buf" },
	{ 0xd39fc2e9, "virtio_transport_connect" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf5af1ff6, "virtio_transport_notify_set_rcvlowat" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7e495acd, "virtio_transport_stream_has_data" },
	{ 0x98f53121, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6d8348fa, "virtio_transport_dgram_bind" },
	{ 0x4b626f2d, "sk_error_report" },
	{ 0x83861fb2, "virtio_transport_notify_recv_pre_block" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf5afca30, "virtio_transport_dgram_enqueue" },
	{ 0xbe2a3130, "virtio_transport_shutdown" },
	{ 0x97a3b545, "virtio_transport_notify_send_post_enqueue" },
	{ 0xed6f9aa5, "virtio_transport_dgram_dequeue" },
	{ 0x9a0531d3, "unregister_virtio_driver" },
	{ 0x9c128568, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf6a98ac7, "virtqueue_get_vring_size" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xae5d51c3, "virtio_transport_notify_send_init" },
	{ 0x443376db, "sk_skb_reason_drop" },
	{ 0x59dbc3e3, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5954e13a, "virtio_transport_seqpacket_dequeue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x524a360c, "virtio_transport_seqpacket_enqueue" },
	{ 0x67c30b1a, "virtio_transport_seqpacket_has_data" },
	{ 0x8f12ff85, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0xab2efbcc, "virtio_transport_stream_enqueue" },
	{ 0x76a21f0d, "virtqueue_disable_cb" },
	{ 0x6534ac06, "virtio_transport_stream_dequeue" },
	{ 0x1c49827a, "vsock_core_unregister" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xac35d2ff, "vsock_core_register" },
	{ 0x3fe90a09, "virtqueue_add_sgs" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1be23953, "virtio_reset_device" },
	{ 0xfc002988, "virtio_transport_notify_poll_out" },
	{ 0x84ebebb5, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x9bfb2148, "__register_virtio_driver" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9182b0e3, "virtqueue_get_buf" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x277bfbb0, "virtio_transport_deliver_tap_pkt" },
	{ 0xcb2317ca, "virtio_transport_read_skb" },
	{ 0xba0add6e, "virtqueue_kick" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x492df89, "virtio_transport_stream_is_active" },
	{ 0xd395bff9, "virtqueue_add_inbuf" },
	{ 0x80885db, "virtio_transport_do_socket_init" },
	{ 0x2171ff72, "__kmalloc_cache_noprof" },
	{ 0xd9c791b, "virtio_transport_notify_poll_in" },
	{ 0xb9de2712, "virtio_check_driver_offered_feature" },
	{ 0xc8f87724, "virtio_transport_unsent_bytes" },
	{ 0xd4873be0, "virtio_transport_stream_has_space" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xa0a97944, "virtio_transport_notify_send_pre_block" },
	{ 0x7400bbe2, "virtio_transport_notify_buffer_size" },
	{ 0x45018ca6, "virtio_transport_destruct" },
	{ 0xfae2c085, "virtio_transport_recv_pkt" },
	{ 0x661c96eb, "kmalloc_caches" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xecb3736d, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vsock");

MODULE_ALIAS("virtio:d00000013v*");

MODULE_INFO(srcversion, "2FB4091555A5734CF8AB3B8");
MODULE_INFO(rhelversion, "9.99");
